export declare function useDocumentPiP(getElement: () => HTMLElement | null | undefined): {
    isPiP: import("vue").Ref<boolean, boolean>;
    isSupported: import("vue").ComputedRef<boolean>;
    enterPiP: (width?: number, height?: number) => Promise<void>;
    exitPiP: () => void;
    armFirstGestureResume: (w?: Window) => void;
    onPiPResize: (callback: import("../../types/types").PiPResizeCallback) => () => boolean;
};
